atomic_notifier_chain_unregister
Prev | Kernel utility functions | Next

## Name

atomic_notifier_chain_unregister — Remove notifier from an atomic notifier chain

## Synopsis

`int atomic_notifier_chain_unregister (` | struct atomic_notifier_head * | nh,
| struct notifier_block * | n`)`;

## Arguments

`nh`

  Pointer to head of the atomic notifier chain

`n`

  Entry to remove from notifier chain

## Description

Removes a notifier from an atomic notifier chain.

Returns zero on success or `-ENOENT` on failure.

Prev | Up | Next
atomic_notifier_chain_register | Home | __atomic_notifier_call_chain